version: "3"

services:
  calser:
    image: ${CI_REGISTRY}/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}:${CI_BUILD_REF_NAME}
    networks:
      - proxy
    volumes:
      - data:/var/www/html
    deploy:
      replicas: 2
      labels:
        - "traefik.port=80"
        - "treafik.backend=calser"
        - "traefik.frontend.rule=Host:intranet-roubaix.poptech-devs.ovh"
        - "traefik.backend.loadbalancer.swarm=true"
        - "traefik.backend.loadbalancer.method=drr"
        - "traefik.docker.network=proxy"

volumes:
  data:
    driver: glusterfs

networks:
  proxy:
    external: true
